Sequel.migration do

  up do
    create_table(:hardware) do
      primary_key :id
      String :name, null: false
      String :type, null: false
      String :description, text: true
      DateTime :created_at, default: Sequel::CURRENT_TIMESTAMP
      DateTime :updated_at, default: Sequel::CURRENT_TIMESTAMP
    end

    create_table(:benchmarks) do
      primary_key :id
      String :name, null: false
      String :description, text: true
      String :scoring, null: false
      DateTime :created_at, default: Sequel::CURRENT_TIMESTAMP
      DateTime :updated_at, default: Sequel::CURRENT_TIMESTAMP
    end
  end

  down do
    drop_table(:hardware)
    drop_table(:benchmarks)
  end

end
